Spring 4.1.6 发布,正式兼容 JDK 8 update 40

oschina
 oschina
发布于 2015年03月26日
收藏 20

Spring Framework 4.1.6 发布,此版本主要是个 bug 修复版本,强烈建议当前所有 4.x 用户升级!

Spring Framework 4.1.6 是第一个正式兼容当前 JDK 8 update 40 的版本 。Spring 4.1.x 支持更广泛的,由 Oracle 和 IBM 提供的 Java runtimes 从 2010-era JDK 6 到最新的 2015-era JDK 8。

Spring Framework 4.2 将会测试早期 JDK 9 构建,努力支持不同的 JDK 版本。

相关链接:

Release Notes | Project Page | GitHub | Issues | Documentation

Spring Framework 是一个开源的Java/Java EE全功能栈(full-stack)的应用程序框架,以Apache许可证形式发布,也有.NET平台上的移植版本。 该框架基于 Expert One-on-One Java EE Design and Development(ISBN 0-7645-4385-7)一书中的代码,最初由 Rod Johnson 和 Juergen Hoeller等开发。Spring Framework 提供了一个简易的开发方式,这种开发方式,将避免那些可能致使底层代码变得繁杂混乱的大量的属性文件和帮助类。

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:Spring 4.1.6 发布,正式兼容 JDK 8 update 40
加载中

最新评论(12

火-星-人
火-星-人
n年不用spring了
小心有诈
小心有诈
额. 我这还在用spring2
loyal
loyal
额...我还在用jdk1.6....
翠翠
翠翠

引用来自“老笨牛”的评论

spring小白弱弱地问一句:spring哪个版本最稳定,且支持servlet3.0?
用 4.1.6 就可以了。
老笨牛
老笨牛
spring小白弱弱地问一句:spring哪个版本最稳定,且支持servlet3.0?
谦谦君子
谦谦君子

引用来自“阿信sxq”的评论

难道8U40有重大改变?

引用来自“南湖船老大”的评论

没有。但企业应用力求严谨,要在这个环境下确实跑过一遍,才敢说兼容,而不是想当然。有时候版本更新确实可能存在很多谁都想不到也很难遇到的诡异问题,所以要测试先行
确实,程序员容易犯的错就是想当然地认为,xxx怎么可能有问题的呢?实践是检验真理的唯一标准啊!
阿信sxq
阿信sxq

引用来自“阿信sxq”的评论

难道8U40有重大改变?

引用来自“南湖船老大”的评论

没有。但企业应用力求严谨,要在这个环境下确实跑过一遍,才敢说兼容,而不是想当然。有时候版本更新确实可能存在很多谁都想不到也很难遇到的诡异问题,所以要测试先行
嗦嘎
南湖船老大
南湖船老大

引用来自“阿信sxq”的评论

难道8U40有重大改变?
没有。但企业应用力求严谨,要在这个环境下确实跑过一遍,才敢说兼容,而不是想当然。有时候版本更新确实可能存在很多谁都想不到也很难遇到的诡异问题,所以要测试先行
阿信sxq
阿信sxq
难道8U40有重大改变?
阿伟-W
阿伟-W

引用来自“愚_者”的评论

为什么要特别说明兼容jdk8 u40?这个更新有什么和之前不兼容的改进?

引用来自“梅公子”的评论

8U40是才出来没多久,以前没说,也就是说明以前的版本不一定能很好的或者是很完整的支持8U40
看bug介绍如下:there are no known issues at this point. This needs to be re-verified against the upcoming 8u40 GA build.bug创建时间也是14年的,应该就是他们质量管控的一部分,比如jdk8u60要在9月份发布,那么现在就记录一个任务,提醒到时候发布新spring版本时,要用jdk8u60跑一下testcase,保证新发布的spring是兼容当下的jdk的。
返回顶部
顶部